Commit 5a565782 authored by Ted Zlatanov's avatar Ted Zlatanov

Remove finder.el require dependency in package.el

* emacs-lisp/package.el (package-keyword-button-action): Remove
finder.el require dependency.
parent a81fc7ba
2013-12-10 Teodor Zlatanov <tzz@lifelogs.com>
* emacs-lisp/package.el (package-keyword-button-action): Remove
finder.el require dependency.
2013-12-09 Teodor Zlatanov <tzz@lifelogs.com>
* emacs-lisp/package.el: Require finder.el.
......
......@@ -7,7 +7,7 @@
;; Created: 10 Mar 2007
;; Version: 1.0.1
;; Keywords: tools
;; Package-Requires: ((tabulated-list "1.0") (finder))
;; Package-Requires: ((tabulated-list "1.0"))
;; This file is part of GNU Emacs.
......@@ -166,7 +166,6 @@
(eval-when-compile (require 'cl-lib))
(require 'tabulated-list)
(require 'finder)
(defgroup package nil
"Manager for Emacs Lisp packages."
......@@ -1510,6 +1509,7 @@ If optional arg NO-ACTIVATE is non-nil, don't activate packages."
(revert-buffer nil t)
(goto-char (point-min)))))
(declare-function finder-list-matches "finder" (keyword))
(defun package-keyword-button-action (button)
(let ((pkg-keyword (button-get button 'package-keyword)))
(finder-list-matches pkg-keyword)))
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment